%define oname   pdf-reader

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 3
Summary:    A library for accessing the content of PDF files
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/yob/pdf-reader
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
The PDF::Reader library implements a PDF parser conforming as much as
possible to the PDF specification from Adobe

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/pdf_object
%{_bindir}/pdf_text
%{_bindir}/pdf_list_callbacks
%{_bindir}/pdf_callbacks
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/MIT-LICENSE


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 396241
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 381203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.2.0-1.mga3
+ Revision: 313753
- new version 1.2.0

* Thu Jun 07 2012 solbu <solbu> 1.1.1-1.mga3
+ Revision: 256958
- New version
- Spec cleanup

* Tue Jan 25 2011 shikamaru <shikamaru> 0.9.1-2.mga1
+ Revision: 39608
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 0.9.1-1.mga1
+ Revision: 37843
- imported package ruby-pdf-reader

